Cyberduck Mountain Duck CLI

#9827 closed defect (fixed)

The current process has used all of its system allowance of handles for Window Manager objects

Reported by: rashad40 Owned by: dkocher
Priority: high Milestone: 5.4
Component: core Version: 5.3.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

While transferring files from amazon s3 to a shared drive, the application crashes.

Attachments (1)

CrashReportercyberduck.zip (92.8 KB) - added by rashad40 on Jan 31, 2017 at 7:53:01 PM.
Crash reporer

Download all attachments as: .zip

Change History (9)

comment:1 Changed on Jan 30, 2017 at 12:49:49 PM by dkocher

Please attach the crash report.

  • On Windows. Please attach the file cyberduck.log and the crash reports saved in a folder named CrashReporter in the application support directory.
  • On Mac. Please attach the crash report displayed when the application crashes.

Changed on Jan 31, 2017 at 7:53:01 PM by rashad40

Crash reporer

comment:2 Changed on Feb 6, 2017 at 7:30:00 AM by dkocher

Top-level Exception
Type:        System.Runtime.InteropServices.COMException
Message:     The current process has used all of its system allowance of handles for Window Manager objects. (Exception from HRESULT: 0x80070486)
Source:      Cyberduck.Core.Native
Stack Trace: at Ch.Cyberduck.Core.TaskDialog.UnsafeNativeMethods.TaskDialogIndirect(TASKDIALOGCONFIG& pTaskConfig, Int32& pnButton, Int32& pnRadioButton, Boolean& pfVerificationFlagChecked)
   at Ch.Cyberduck.Core.TaskDialog.NativeTaskDialog.PrivateShow(IntPtr hwndOwner, Boolean& verificationFlagChecked, Int32& radioButtonResult)
   at Ch.Cyberduck.Core.TaskDialog.NativeTaskDialog.Show(IntPtr hwndOwner, Boolean& verificationFlagChecked, Int32& radioButtonResult)
   at Ch.Cyberduck.Core.TaskDialog.TaskDialog.ShowTaskDialog(TaskDialogOptions options)
   at Ch.Cyberduck.Core.TaskDialog.TaskDialog.Show(TaskDialogOptions options)
   at Ch.Cyberduck.Core.TaskDialog.TaskDialog.Show(Boolean allowDialogCancellation, TaskDialogCallback callback, Object callbackData, String[] commandLinks, TaskDialogCommonButtons commonButtons, String content, String[] customButtons, Icon customFooterIcon, Icon customMainIcon, Nullable`1 defaultButtonIndex, Boolean enableCallbackTimer, Boolean expandedByDefault, String expandedInfo, Boolean expandToFooter, TaskDialogIcon footerIcon, String footerText, TaskDialogIcon mainIcon, String mainInstruction, IntPtr owner, String[] radioButtons, Boolean showMarqueeProgressBar, Boolean showProgressBar, String title, Boolean verificationByDefault, String verificationText)
   at Ch.Cyberduck.Core.CrashReporter.Write(Exception e)
   at Ch.Cyberduck.Ui.Controller.MainController.ExceptionHandler(Object sender, ThreadExceptionEventArgs e)
   at System.Windows.Forms.Application.ThreadContext.OnThreadException(Exception t)
   at System.Windows.Forms.Control.WndProcException(Exception e)
   at System.Windows.Forms.Control.ControlNativeWindow.OnThreadException(Exception e)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)
   at System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(MSG& msg)
   at System.Windows.Forms.Application.ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(IntPtr dwComponentID, Int32 reason, Int32 pvLoopData)
   at System.Windows.Forms.Application.ThreadContext.RunMessageLoopInner(Int32 reason, ApplicationContext context)
   at System.Windows.Forms.Application.ThreadContext.RunMessageLoop(Int32 reason, ApplicationContext context)
   at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun()
   at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.DoApplicationModel()
   at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run(String[] commandLine)
   at Ch.Cyberduck.Ui.Controller.MainController.Run(ICollection commandLineArgs)
   at Ch.Cyberduck.Ui.Controller.MainController.Run()
   at Ch.Cyberduck.Ui.Controller.MainController.Main()


comment:3 follow-up: Changed on Feb 6, 2017 at 7:40:34 AM by dkocher

  • Description modified (diff)
  • Summary changed from While transferring files from amazon s3 to a shared drive, the application crashes. to The current process has used all of its system allowance of handles for Window Manager objects

comment:4 in reply to: ↑ 3 Changed on Feb 8, 2017 at 2:29:44 PM by rashad40

What do I do to fix this? Replying to dkocher:

comment:5 Changed on Mar 8, 2017 at 9:54:46 AM by dkocher

  • Milestone set to 5.4
  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Mar 8, 2017 at 1:48:19 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Can you please try if still see this issue with the current snapshot build by updating from within Cyberduck in Preferences → Update → Automatically check for updates in → Snapshot Builds.

comment:7 Changed on Mar 9, 2017 at 2:05:31 PM by rashad40

I have applied the update. The program continues to crash. I will attach the report later today.

comment:8 Changed on Jun 4, 2021 at 7:58:19 PM by dkocher

https://docs.microsoft.com/en-us/windows/win32/sysinfo/user-objects

User interface objects support only one handle per object. Processes cannot inherit or duplicate handles to user objects. Processes in one session cannot reference a user handle in another session. There is a theoretical limit of 65,536 user handles per session. However, the maximum number of user handles that can be opened per session is usually lower, since it is affected by available memory. There is also a default per-process limit of user handles. To change this limit, set the following registry value:

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Windows\USERProcessHandleQuota

This value can be set to a number between 200 and 18,000.

Note: See TracTickets for help on using tickets.